package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawCheezeepayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String paymentMethod;
    @JSONField(ordinal = 5)
    private BigDecimal amount;
    @JSONField(ordinal = 10)
    private String name;
    @JSONField(ordinal = 20)
    private String accountNumber;
    @JSONField(ordinal = 30)
    private String ifscCode;
    @JSONField(ordinal = 40)
    private String bankName;
    @JSONField(ordinal = 50)
    private String branchName;

    private Map<String, String> paymentMethodSelect;

    public FinanceWithdrawCheezeepayDto() {

        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();
        params.put("paymentMethod", "付款方式");
        params.put("amount", "金额");
        params.put("name", "名字");
        params.put("accountNumber", "账号");
        params.put("ifscCode", "ifscCode");
        params.put("bankName", "银行名称");
        params.put("branchName", "支行地址");

        paramsEn.put("paymentMethod", "payment method");
        paramsEn.put("amount", "amount");
        paramsEn.put("name", "name");
        params.put("accountNumber", "account number");
        params.put("ifscCode", "ifsc code");
        params.put("bankName", "bank name");
        params.put("branchName", "branch name");

        paymentMethodSelect = new LinkedHashMap<>();

        paymentMethodSelect.put("P2P_BANK_IN", "P2P_BANK_IN");
        paymentMethodSelect.put("P2P_UPI", "P2P_UPI");
    }
}
